var Service = require('Service');
var utils = require('utils');
var util = require('util');
var OrgDao = require('../../dao/org');

/**
 * 获得组织信息
 */
var Get = function() { 
  Service.call(this);
};

util.inherits(Get, Service);

module.exports = Get;

/**
 * 处理服务请求
 * @param  {Object} req 服务请求对象
 * @param  {Object} res 服务响应对象
 */
Get.prototype.process =  function(req, res) {
  var self = this;
  req.session.cache.getCurOrg(function(org) {
    res.org = org;
    self.end(res);
  });
};